import { Injectable, inject } from '@angular/core';
import { JournalEntry, Npcs, Npc } from 'src/interfaces/interfaces';
import { DataService } from 'src/services/data/data.service';

@Injectable({
  providedIn: 'root',
})
export class TooltipService {
  private dataService: DataService = inject(DataService);

  public tooltipifyEntry(entry: string): any {
    const content = this.tootipifyNpc(entry);
    const matches = entry.match(/(?<=@)\w+/g);
    const uniqueMatches = [...new Set(matches)];
    // get the descriptions from the data service

    return {
      content: content,
      npcs: uniqueMatches,
      npcDescriptions: {},
    };
  }

  private tootipifyNpc(content: string): string {
    // Add a search that collects all the names of the npcs that occur and send it with the strings
    return content.replace(/@(\w+)/g, "<span class='$1'></span>");
  }
}
